Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
TypeScript
const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({url: '<string>', events: ['<string>']}) }; fetch('https://api.prudra.dev/webhooks/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.prudra.dev/webhooks/{id}" payload = { "url": "<string>", "events": ["<string>"] } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
curl --request PATCH \ --url https://api.prudra.dev/webhooks/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "url": "<string>", "events": [ "<string>" ] } '
{ "id": "wh_abc123", "url": "https://example.com/webhook", "events": [ "*" ], "isActive": true, "createdAt": "2023-11-07T05:31:56Z" }
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys
Updated webhook
"wh_abc123"
"https://example.com/webhook"
["*"]